package com.sysu.admin.utils.shape.vo;

import lombok.Data;

@Data
public class ParamType {

    private String name;
    private Class type;

    public static ParamType[] build(String[] names, Class[] types){
        ParamType[] paramTypes = new ParamType[names.length];
        for(int i=0;i<names.length;i++){
            ParamType paramType = new ParamType();
            paramType.name = names[i];
            paramType.type = types[i];
            paramTypes[i] = paramType;
        }
        return paramTypes;
    }
}
